using System;
using System.Collections.Generic;
using UnityEngine;

namespace Reset{
    public static class GameManager{
        public static GameObject UI;
        public static GameObject Camera;
        public static GameObject Input;
        
        [RuntimeInitializeOnLoadMethodAttribute]
        static void PopulateSceneReferences(){
            try {
                UI = GameObject.Find("UICanvas");
                Camera = GameObject.Find("CameraGroup");
                Input = GameObject.Find("InputManager");
            } catch (Exception e) {
                Console.WriteLine(e);
                throw;
            }
            
            
        }
    }
}